Skip to main content
PATCH
/
organizations
/
roles
/
{role_id}
Update Role
curl --request PATCH \
  --url https://api-sandbox.y.uno/v1/organizations/roles/{role_id} \
  --header 'Content-Type: application/json' \
  --header 'PRIVATE-SECRET-KEY: <api-key>' \
  --header 'PUBLIC-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "permission_ids": [
    "<string>"
  ],
  "testing_permission_ids": [
    "<string>"
  ]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "admin": true,
  "permission_ids": [
    "<string>"
  ],
  "testing_permission_ids": [
    "<string>"
  ],
  "role_type": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.y.uno/llms.txt

Use this file to discover all available pages before exploring further.

Partial update of a custom role. Note that role_type is immutable.

Authorizations

PUBLIC-API-KEY
string
header
default:<Your PUBLIC-API-KEY>
required
PRIVATE-SECRET-KEY
string
header
default:<Your PRIVATE-SECRET-KEY>
required

Path Parameters

role_id
string
required

The unique identifier of the role.

Body

application/json
name
string
Maximum string length: 255
description
string
Maximum string length: 1024
permission_ids
string[]
testing_permission_ids
string[]

Response

OK

id
string
name
string
description
string | null
admin
boolean
permission_ids
string[]
testing_permission_ids
string[]
role_type
string
created_at
string<date-time>
updated_at
string<date-time>